# 32/64bit spec-file
# import to pclinuxos by <Daniel Meiss-Wilhelm> on <11.25.2015>
# PCLinuxOS Copyright by Bill Reynolds (Texstar.)

%define prefix 	/usr
%define name phototonic
%define version 1.7.1
%define p_version c3737334746d0bae2369b23d982ade5a981dcdd7
%define exiv2major 13 
%define release %mkrel 2
%define url http://qt-apps.org/content/show.php/Phototonic?content=164244
 

Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		GPL
Group:			Graphics
URL:			%{url}
Source:			%{name}-%{p_version}.tar.xz
Summary:		Qt5 image viewer and organizer
Summary(de):		Qt5 Bilddateien Betrachter und Verwalter
BuildRoot:		%{_tmppath}/%{name}-buildroot
BuildRequires:		qt5core-devel
BuildRequires:		qt5gui-devel
BuildRequires:		%{_lib}exiv2-devel
BuildRequires:		%{_lib}qt5declarative-devel
BuildRequires:		%{_lib}qt5opengl-devel
BuildRequires: 		%{_lib}qt5quick-devel
BuildRequires:		%{_lib}qt5base5-devel
BuildConflicts:		%{_lib}qt4-devel
Requires:		%{_lib}qt5core5
Requires:		%{_lib}exiv2_%{exiv2major}	
Obsoletes:		%name < %version

%description
 Photonic features various functionality for viewing and organizing
 your images, like:
  - Slideshow
  - image transformation (resize, recolor, rotation)
  - copying, renaming, (re)moving single or multiple images
  - creating new images
  - view basic image information
  - single- and subfolder-view mode
  - opening files with user-set external applications
  - full-fledged keybindings support
  - quite configurable


#german
%description -l de
Phototonic verfügt über verschiedene Funktionen zum Anzeigen und Organisieren
  Ihre Bilder, wie:
   - Slideshow
   - Bildtransformation (Größe ändern, Farbe ändern, Rotation)
   - Kopieren, Umbenennen, löschen einzelne oder mehrere Bilder
   - Neue Bilder erstellen
   - Anzeigen von vorhandenen Bildinformationen
   - Einfach- und Unterordner-Anzeige-Modus
   - Öffnen der Dateien durch externe Programme möglich 
   - Vollwertiges Tastaturbelegung Unterstützung
   - Leicht konfigurierbar

%prep

%setup -q -n %{name}-%{p_version}

%build

qmake PREFIX=%{prefix}

%make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics;" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}%{_datadir}/%{name}/translations
cp $RPM_BUILD_DIR/%{name}-%{p_version}/translations/*.qm %{buildroot}%{_datadir}/%{name}/translations/


%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*
%{_datadir}/pixmaps/phototonic.png
%{_datadir}/%{name}/translations/%{name}_*.qm

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{p_version}

%changelog
* Fri Dec 11 2015 daniel <meisssw01 at gmail.com> 1.7.1-2pclos2015
- rebuild after found issues for ()  isn't pulling in the required libraries
- add BuildConflicts with qt4-devel

* Wed Nov 25 2015 daniel <meisssw01 at gmail.com> 1.7.1-1pclos2015
- initial pkg 
